<%@ Page Title="Apache Stonehenge - .NET StockTrader - Quote" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true"
    EnableViewState="false" EnableEventValidation="false"
    CodeFile="StockTrade.aspx.cs" Inherits="Trade.Web.StockTrade" %>
<%@ Register TagPrefix="controls" TagName="ClosedOrders" Src = "Controls/ClosedOrders.ascx"  %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
<% /* 
 Licensed to the Apache Software Foundation (ASF) under one or more
 contributor license agreements.  See the NOTICE file distributed with
 this work for additional information regarding copyright ownership.
 The ASF licenses this file to You under the Apache License, Version 2.0
 (the "License"); you may not use this file except in compliance with
 the License.  You may obtain a copy of the License at
 
       http://www.apache.org/licenses/LICENSE-2.0
 
  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.
*/ %>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

    <controls:ClosedOrders id="ClosedOrdersControl" runat="server" ></controls:ClosedOrders>

    <div class="main-title">
        <h1>Trade</h1>
        <script type="text/javascript">
            var thisdate = new Date();
    		document.writeln(thisdate.toLocaleString());
    	</script>
	</div> 
    
    <div id="confirm">
		<h2>Trade Confirmation</h2>
		<div class="confirm-content nobr">
            
            <asp:Panel runat="server" ID="BuyPanel" Visible="false">
			    <p>You have requested to buy shares of <asp:Literal runat="server" ID="BuySymbol" /> 
			    which is currently trading at <asp:Literal runat="server" ID="BuyCurrentPrice" />.</p>
            
                <div>Number of Shares: <asp:TextBox ID="BuyQuantity" runat="server" Text="100" MaxLength="7" Width="50px" />
			    
			    <asp:Button runat="server" ID="Buy" Text="Buy" CssClass="button" onclick="Buy_Click" />
			    <asp:Button runat="server" ID="CancelBuy" Text="Cancel" CssClass="button" /></div>
            
                <asp:HiddenField runat="server" ID="Symbol" />
                <asp:RangeValidator ID="BuyQuantityRangeValidator" runat="server" ControlToValidate="BuyQuantity"
                    ErrorMessage="Please enter a valid value..." MaximumValue="100000000" MinimumValue="1"
                    Type="Integer"></asp:RangeValidator>
            </asp:Panel>
            
            <asp:Panel runat="server" ID="SellPanel" Visible="false">

                <p>You have requested to sell all or part of your holding <asp:Literal runat="server" ID="HoldingId" />. 
                This holding has a total of <asp:Literal runat="server" ID="HoldingQuantity" /> shares of stock 
                <b><asp:Literal runat="server" ID="HoldingSymbol" /></b>. 
                Please indicate how many shares to sell.</p>
                
                <div>Number of Shares: <asp:TextBox ID="SellQuantity" runat="server" MaxLength="7" Width="50px" />
                
                <asp:Button runat="server" ID="Sell" Text="Sell" CssClass="button" 
                        onclick="Sell_Click" />
			    <asp:Button runat="server" ID="CancelSell" Text="Cancel" CssClass="button" /></div>
                
                <asp:RangeValidator ID="SellQuantityRangeValidator" runat="server" ControlToValidate="SellQuantity"
                    ErrorMessage="Please enter a valid value..." MaximumValue="100000000" MinimumValue="1"
                    Type="Integer"></asp:RangeValidator>
            
            </asp:Panel>
            
            <asp:Panel runat="server" ID="InvalidActionPanel">
                
                <p>You performed an invalid action please return to the previous page and try again.</p>
                <asp:Button runat="server" ID="InvalidActionButton" Text="Back" CssClass="button" PostBackUrl="~/Quotes.aspx" />
                
            </asp:Panel>
            
		</div>
	</div>
          
    <div class="bottom">
        <asp:TextBox ID="symbols" runat="server" Text="s:0;s:1;s:2;s:3"></asp:TextBox>
        <asp:Button ID="GetQuoteButton" runat="server" PostBackUrl="~/Quotes.aspx" CssClass="button" Text="Get Quote" />
    </div>

</asp:Content>